beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: beam_PostCommit_Python_VR_Flink #460
Date Tue, 23 Oct 2018 05:37:21 GMT
See <https://builds.apache.org/job/beam_PostCommit_Python_VR_Flink/460/display/redirect>

------------------------------------------
[...truncated 451.03 KB...]
Collecting tensorflow==1.11.0 (from -r /tmp/base_image_requirements.txt (line 65))
  Downloading https://files.pythonhosted.org/packages/36/3a/59e68f1ece4eaa73726efebd8ba82b4b59ce31e2d69136297c8d81764892/tensorflow-1.11.0-cp27-cp27mu-manylinux1_x86_64.whl
(63.0MB)
Collecting six>=1.5.2 (from grpcio==1.15.0->-r /tmp/base_image_requirements.txt (line
33))
  Downloading https://files.pythonhosted.org/packages/67/4b/141a581104b1f6397bfa78ac9d43d8ad29a7ca43ea90a2d863fe3056e86a/six-1.11.0-py2.py3-none-any.whl
Collecting enum34>=1.0.4 (from grpcio==1.15.0->-r /tmp/base_image_requirements.txt (line
33))
  Downloading https://files.pythonhosted.org/packages/c5/db/e56e6b4bbac7c4a06de1c50de6fe1ef3810018ae11732a50f15f62c7d050/enum34-1.1.6-py2-none-any.whl
Collecting docopt (from hdfs==2.1.0->-r /tmp/base_image_requirements.txt (line 34))
  Downloading https://files.pythonhosted.org/packages/a2/55/8f8cab2afd404cf578136ef2cc5dfb50baa1761b68c9da1fb1e4eed343c9/docopt-0.6.2.tar.gz
Collecting requests>=2.7.0 (from hdfs==2.1.0->-r /tmp/base_image_requirements.txt (line
34))
  Downloading https://files.pythonhosted.org/packages/f1/ca/10332a30cb25b627192b4ea272c351bce3ca1091e541245cccbace6051d8/requests-2.20.0-py2.py3-none-any.whl
(60kB)
Collecting funcsigs>=1; python_version < "3.3" (from mock==2.0.0->-r /tmp/base_image_requirements.txt
(line 36))
  Downloading https://files.pythonhosted.org/packages/69/cb/f5be453359271714c01b9bd06126eaf2e368f1fddfff30818754b5ac2328/funcsigs-1.0.2-py2.py3-none-any.whl
Collecting pbr>=0.11 (from mock==2.0.0->-r /tmp/base_image_requirements.txt (line 36))
  Downloading https://files.pythonhosted.org/packages/ca/81/4e8230c5648ea6d85d90ec3babc3dcc1c46d890f2f26b3e2b374819274dd/pbr-5.0.0-py2.py3-none-any.whl
(106kB)
Collecting pyasn1>=0.1.7 (from oauth2client==3.0.0->-r /tmp/base_image_requirements.txt
(line 37))
  Downloading https://files.pythonhosted.org/packages/d1/a1/7790cc85db38daa874f6a2e6308131b9953feb1367f2ae2d1123bb93a9f5/pyasn1-0.4.4-py2.py3-none-any.whl
(72kB)
Collecting pyasn1-modules>=0.0.5 (from oauth2client==3.0.0->-r /tmp/base_image_requirements.txt
(line 37))
  Downloading https://files.pythonhosted.org/packages/19/02/fa63f7ba30a0d7b925ca29d034510fc1ffde53264b71b4155022ddf3ab5d/pyasn1_modules-0.2.2-py2.py3-none-any.whl
(62kB)
Collecting rsa>=3.1.4 (from oauth2client==3.0.0->-r /tmp/base_image_requirements.txt
(line 37))
  Downloading https://files.pythonhosted.org/packages/02/e5/38518af393f7c214357079ce67a317307936896e961e35450b70fad2a9cf/rsa-4.0-py2.py3-none-any.whl
Collecting fasteners>=0.14 (from google-apitools==0.5.20->-r /tmp/base_image_requirements.txt
(line 48))
  Downloading https://files.pythonhosted.org/packages/14/3a/096c7ad18e102d4f219f5dd15951f9728ca5092a3385d2e8f79a7c1e1017/fasteners-0.14.1-py2.py3-none-any.whl
Collecting grpc-google-iam-v1<0.12dev,>=0.11.1 (from google-cloud-pubsub==0.35.4->-r
/tmp/base_image_requirements.txt (line 50))
  Downloading https://files.pythonhosted.org/packages/9b/28/f26f67381cb23e81271b8d66c00a846ad9d25a909ae1ae1df8222fad2744/grpc-google-iam-v1-0.11.4.tar.gz
Collecting google-api-core[grpc]<2.0.0dev,>=0.1.3 (from google-cloud-pubsub==0.35.4->-r
/tmp/base_image_requirements.txt (line 50))
  Downloading https://files.pythonhosted.org/packages/e4/3a/f9a5746a4d1c03e4ae6d4fdea0b4275cd80320dde7b2a44439cf9e913e33/google_api_core-1.5.0-py2.py3-none-any.whl
(62kB)
Collecting google-cloud-core<0.26dev,>=0.25.0 (from google-cloud-bigquery==0.25.0->-r
/tmp/base_image_requirements.txt (line 51))
  Downloading https://files.pythonhosted.org/packages/ef/dd/00e90bd1f6788f06ca5ea83a0ec8dd76350b38303bb8f09d2bf692eb1294/google_cloud_core-0.25.0-py2.py3-none-any.whl
(52kB)
Collecting googleapis-common-protos<2.0dev,>=1.5.2 (from proto-google-cloud-datastore-v1==0.90.4->-r
/tmp/base_image_requirements.txt (line 52))
  Downloading https://files.pythonhosted.org/packages/00/03/d25bed04ec8d930bcfa488ba81a2ecbf7eb36ae3ffd7e8f5be0d036a89c9/googleapis-common-protos-1.5.3.tar.gz
Collecting python-dateutil>=2.5.0 (from pandas==0.23.4->-r /tmp/base_image_requirements.txt
(line 61))
  Downloading https://files.pythonhosted.org/packages/cf/f5/af2b09c957ace60dcfac112b669c45c8c97e32f94aa8b56da4c6d1682825/python_dateutil-2.7.3-py2.py3-none-any.whl
(211kB)
Collecting astor>=0.6.0 (from tensorflow==1.11.0->-r /tmp/base_image_requirements.txt
(line 65))
  Downloading https://files.pythonhosted.org/packages/35/6b/11530768cac581a12952a2aad00e1526b89d242d0b9f59534ef6e6a1752f/astor-0.7.1-py2.py3-none-any.whl
Collecting gast>=0.2.0 (from tensorflow==1.11.0->-r /tmp/base_image_requirements.txt
(line 65))
  Downloading https://files.pythonhosted.org/packages/5c/78/ff794fcae2ce8aa6323e789d1f8b3b7765f601e7702726f430e814822b96/gast-0.2.0.tar.gz
Collecting keras-applications>=1.0.5 (from tensorflow==1.11.0->-r /tmp/base_image_requirements.txt
(line 65))
  Downloading https://files.pythonhosted.org/packages/3f/c4/2ff40221029f7098d58f8d7fb99b97e8100f3293f9856f0fb5834bef100b/Keras_Applications-1.0.6-py2.py3-none-any.whl
(44kB)
Collecting keras-preprocessing>=1.0.3 (from tensorflow==1.11.0->-r /tmp/base_image_requirements.txt
(line 65))
  Downloading https://files.pythonhosted.org/packages/fc/94/74e0fa783d3fc07e41715973435dd051ca89c550881b3454233c39c73e69/Keras_Preprocessing-1.0.5-py2.py3-none-any.whl
Collecting absl-py>=0.1.6 (from tensorflow==1.11.0->-r /tmp/base_image_requirements.txt
(line 65))
  Downloading https://files.pythonhosted.org/packages/fa/ef/1fa0376563b1e0495301ada8e881d88b7ebfda433f6b31f44447fe6ef795/absl-py-0.6.0.tar.gz
(93kB)
Collecting backports.weakref>=1.0rc1 (from tensorflow==1.11.0->-r /tmp/base_image_requirements.txt
(line 65))
  Downloading https://files.pythonhosted.org/packages/88/ec/f598b633c3d5ffe267aaada57d961c94fdfa183c5c3ebda2b6d151943db6/backports.weakref-1.0.post1-py2.py3-none-any.whl
Collecting termcolor>=1.1.0 (from tensorflow==1.11.0->-r /tmp/base_image_requirements.txt
(line 65))
  Downloading https://files.pythonhosted.org/packages/8a/48/a76be51647d0eb9f10e2a4511bf3ffb8cc1e6b14e9e4fab46173aa79f981/termcolor-1.1.0.tar.gz
Collecting tensorboard<1.12.0,>=1.11.0 (from tensorflow==1.11.0->-r /tmp/base_image_requirements.txt
(line 65))
  Downloading https://files.pythonhosted.org/packages/76/f9/e62022d00940e4df9a629d6bfe42eb28907bb35808db62bb9e8b69ea5ef3/tensorboard-1.11.0-py2-none-any.whl
(3.0MB)
Requirement already satisfied: wheel in /usr/local/lib/python2.7/site-packages (from tensorflow==1.11.0->-r
/tmp/base_image_requirements.txt (line 65)) (0.32.1)
Collecting chardet<3.1.0,>=3.0.2 (from requests>=2.7.0->hdfs==2.1.0->-r /tmp/base_image_requirements.txt
(line 34))
  Downloading https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl
(133kB)
Collecting certifi>=2017.4.17 (from requests>=2.7.0->hdfs==2.1.0->-r /tmp/base_image_requirements.txt
(line 34))
  Downloading https://files.pythonhosted.org/packages/56/9d/1d02dd80bc4cd955f98980f28c5ee2200e1209292d5f9e9cc8d030d18655/certifi-2018.10.15-py2.py3-none-any.whl
(146kB)
Collecting urllib3<1.25,>=1.21.1 (from requests>=2.7.0->hdfs==2.1.0->-r /tmp/base_image_requirements.txt
(line 34))
  Downloading https://files.pythonhosted.org/packages/8c/4b/5cbc4cb46095f369117dcb751821e1bef9dd86a07c968d8757e9204c324c/urllib3-1.24-py2.py3-none-any.whl
(117kB)
Collecting idna<2.8,>=2.5 (from requests>=2.7.0->hdfs==2.1.0->-r /tmp/base_image_requirements.txt
(line 34))
  Downloading https://files.pythonhosted.org/packages/4b/2a/0276479a4b3caeb8a8c1af2f8e4355746a97fab05a372e4a2c6a6b876165/idna-2.7-py2.py3-none-any.whl
(58kB)
Collecting monotonic>=0.1 (from fasteners>=0.14->google-apitools==0.5.20->-r /tmp/base_image_requirements.txt
(line 48))
  Downloading https://files.pythonhosted.org/packages/ac/aa/063eca6a416f397bd99552c534c6d11d57f58f2e94c14780f3bbf818c4cf/monotonic-1.5-py2.py3-none-any.whl
Collecting google-auth<2.0.0dev,>=0.4.0 (from google-api-core[grpc]<2.0.0dev,>=0.1.3->google-cloud-pubsub==0.35.4->-r
/tmp/base_image_requirements.txt (line 50))
  Downloading https://files.pythonhosted.org/packages/58/cb/96dbb4e50e7a9d856e89cc9c8e36ab1055f9774f7d85f37e2156c1d79d9f/google_auth-1.5.1-py2.py3-none-any.whl
(65kB)
Collecting google-auth-httplib2 (from google-cloud-core<0.26dev,>=0.25.0->google-cloud-bigquery==0.25.0->-r
/tmp/base_image_requirements.txt (line 51))
  Downloading https://files.pythonhosted.org/packages/33/49/c814d6d438b823441552198f096fcd0377fd6c88714dbed34f1d3c8c4389/google_auth_httplib2-0.0.3-py2.py3-none-any.whl
Collecting h5py (from keras-applications>=1.0.5->tensorflow==1.11.0->-r /tmp/base_image_requirements.txt
(line 65))
  Downloading https://files.pythonhosted.org/packages/33/0c/1c5dfa85e05052aa5f50969d87c67a2128dc39a6f8ce459a503717e56bd0/h5py-2.8.0-cp27-cp27mu-manylinux1_x86_64.whl
(2.7MB)
Collecting markdown>=2.6.8 (from tensorboard<1.12.0,>=1.11.0->tensorflow==1.11.0->-r
/tmp/base_image_requirements.txt (line 65))
  Downloading https://files.pythonhosted.org/packages/7a/6b/5600647404ba15545ec37d2f7f58844d690baf2f81f3a60b862e48f29287/Markdown-3.0.1-py2.py3-none-any.whl
(89kB)
Collecting werkzeug>=0.11.10 (from tensorboard<1.12.0,>=1.11.0->tensorflow==1.11.0->-r
/tmp/base_image_requirements.txt (line 65))
  Downloading https://files.pythonhosted.org/packages/20/c4/12e3e56473e52375aa29c4764e70d1b8f3efa6682bef8d0aae04fe335243/Werkzeug-0.14.1-py2.py3-none-any.whl
(322kB)
Collecting cachetools>=2.0.0 (from google-auth<2.0.0dev,>=0.4.0->google-api-core[grpc]<2.0.0dev,>=0.1.3->google-cloud-pubsub==0.35.4->-r
/tmp/base_image_requirements.txt (line 50))
  Downloading https://files.pythonhosted.org/packages/0a/58/cbee863250b31d80f47401d04f34038db6766f95dea1cc909ea099c7e571/cachetools-2.1.0-py2.py3-none-any.whl
Building wheels for collected packages: avro, fastavro, crcmod, dill, future, hdfs, httplib2,
oauth2client, pyvcf, pyyaml, typing, googledatastore, proto-google-cloud-datastore-v1, python-snappy,
python-gflags, docopt, grpc-google-iam-v1, googleapis-common-protos, gast, absl-py, termcolor
  Running setup.py bdist_wheel for avro: started
  Running setup.py bdist_wheel for avro: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/bf/0b/75/1b3517b7d36ddc8ba5d22c0df5eb01e83979f34420066d643e
  Running setup.py bdist_wheel for fastavro: started
  Running setup.py bdist_wheel for fastavro: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/19/eb/58/a3b86f4ae93b28c5dd23ece0cef5f5af242f4fc9a22afbe55b
  Running setup.py bdist_wheel for crcmod: started
  Running setup.py bdist_wheel for crcmod: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/50/24/4d/4580ca4a299f1ad6fd63443e6e584cb21e9a07988e4aa8daac
  Running setup.py bdist_wheel for dill: started
  Running setup.py bdist_wheel for dill: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/e2/5d/17/f87cb7751896ac629b435a8696f83ee75b11029f5d6f6bda72
  Running setup.py bdist_wheel for future: started
  Running setup.py bdist_wheel for future: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/bf/c9/a3/c538d90ef17cf7823fa51fc701a7a7a910a80f6a405bf15b1a
  Running setup.py bdist_wheel for hdfs: started
  Running setup.py bdist_wheel for hdfs: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/8c/89/59/b95e6bf2d5957541862f2cd109a052f26b61dc2fad2f04a1b4
  Running setup.py bdist_wheel for httplib2: started
  Running setup.py bdist_wheel for httplib2: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/36/f2/49/5adbf90fba31e02a7784e1147d7f8b6c4af3718739e568c8cb
  Running setup.py bdist_wheel for oauth2client: started
  Running setup.py bdist_wheel for oauth2client: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/48/f7/87/b932f09c6335dbcf45d916937105a372ab14f353a9ca431d7d
  Running setup.py bdist_wheel for pyvcf: started
  Running setup.py bdist_wheel for pyvcf: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/81/91/41/3272543c0b9c61da9c525f24ee35bae6fe8f60d4858c66805d
  Running setup.py bdist_wheel for pyyaml: started
  Running setup.py bdist_wheel for pyyaml: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/03/05/65/bdc14f2c6e09e82ae3e0f13d021e1b6b2481437ea2f207df3f
  Running setup.py bdist_wheel for typing: started
  Running setup.py bdist_wheel for typing: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/68/f9/c6/c4d6004ab42e39c63114793eb3d652805ba01b9a9ca37c4a1b
  Running setup.py bdist_wheel for googledatastore: started
  Running setup.py bdist_wheel for googledatastore: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/93/fa/12/99c490525fff40bcd240504f694bd02848479bc2debc31daae
  Running setup.py bdist_wheel for proto-google-cloud-datastore-v1: started
  Running setup.py bdist_wheel for proto-google-cloud-datastore-v1: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/bd/ce/33/8b769968db3761c42c7a91d8a0dbbafc50acfa0750866c8abd
  Running setup.py bdist_wheel for python-snappy: started
  Running setup.py bdist_wheel for python-snappy: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/e0/fe/5d/0f4592c9e217799cf3db4be1d2e0cb7a2795345777a09b1e80
  Running setup.py bdist_wheel for python-gflags: started
  Running setup.py bdist_wheel for python-gflags: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/43/7e/90/b5dfc39cdf0376f79174f6923974d599d4afcc0192cb5208e2
  Running setup.py bdist_wheel for docopt: started
  Running setup.py bdist_wheel for docopt: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/9b/04/dd/7daf4150b6d9b12949298737de9431a324d4b797ffd63f526e
  Running setup.py bdist_wheel for grpc-google-iam-v1: started
  Running setup.py bdist_wheel for grpc-google-iam-v1: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/b6/c6/31/c20321a5a3fde456fc375b7c2814135e6e98bc0d74c40239d9
  Running setup.py bdist_wheel for googleapis-common-protos: started
  Running setup.py bdist_wheel for googleapis-common-protos: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/62/45/af/649bbf07b6595fda010be1bda667cd56d0444d07afc6f8b687
  Running setup.py bdist_wheel for gast: started
  Running setup.py bdist_wheel for gast: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/9a/1f/0e/3cde98113222b853e98fc0a8e9924480a3e25f1b4008cedb4f
  Running setup.py bdist_wheel for absl-py: started
  Running setup.py bdist_wheel for absl-py: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/91/3f/fc/04598e99d64928bec676e07245b132e985df067cf5d469c460
  Running setup.py bdist_wheel for termcolor: started
  Running setup.py bdist_wheel for termcolor: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/7c/06/54/bc84598ba1daf8f970247f550b175aaaee85f68b4b0c5ab2c6
Successfully built avro fastavro crcmod dill future hdfs httplib2 oauth2client pyvcf pyyaml
typing googledatastore proto-google-cloud-datastore-v1 python-snappy python-gflags docopt
grpc-google-iam-v1 googleapis-common-protos gast absl-py termcolor
google-api-core 1.5.0 has requirement futures>=3.2.0; python_version < "3.2", but
you'll have futures 3.1.1 which is incompatible.
Installing collected packages: avro, fastavro, crcmod, dill, future, futures, six, enum34,
grpcio, docopt, chardet, certifi, urllib3, idna, requests, hdfs, httplib2, funcsigs, pbr,
mock, pyasn1, pyasn1-modules, rsa, oauth2client, setuptools, protobuf, pytz, pyvcf, pyyaml,
typing, nose, monotonic, fasteners, google-apitools, googleapis-common-protos, proto-google-cloud-datastore-v1,
googledatastore, grpc-google-iam-v1, cachetools, google-auth, google-api-core, google-cloud-pubsub,
google-auth-httplib2, google-cloud-core, google-cloud-bigquery, cython, python-snappy, numpy,
scipy, python-dateutil, pandas, protorpc, python-gflags, astor, gast, h5py, keras-applications,
keras-preprocessing, absl-py, backports.weakref, termcolor, markdown, werkzeug, tensorboard,
tensorflow
  Found existing installation: setuptools 40.4.3
    Uninstalling setuptools-40.4.3:
      Successfully uninstalled setuptools-40.4.3
Successfully installed absl-py-0.6.0 astor-0.7.1 avro-1.8.2 backports.weakref-1.0.post1 cachetools-2.1.0
certifi-2018.10.15 chardet-3.0.4 crcmod-1.7 cython-0.28.1 dill-0.2.8.2 docopt-0.6.2 enum34-1.1.6
fastavro-0.21.4 fasteners-0.14.1 funcsigs-1.0.2 future-0.16.0 futures-3.1.1 gast-0.2.0 google-api-core-1.5.0
google-apitools-0.5.20 google-auth-1.5.1 google-auth-httplib2-0.0.3 google-cloud-bigquery-0.25.0
google-cloud-core-0.25.0 google-cloud-pubsub-0.35.4 googleapis-common-protos-1.5.3 googledatastore-7.0.1
grpc-google-iam-v1-0.11.4 grpcio-1.15.0 h5py-2.8.0 hdfs-2.1.0 httplib2-0.9.2 idna-2.7 keras-applications-1.0.6
keras-preprocessing-1.0.5 markdown-3.0.1 mock-2.0.0 monotonic-1.5 nose-1.3.7 numpy-1.15.2
oauth2client-3.0.0 pandas-0.23.4 pbr-5.0.0 proto-google-cloud-datastore-v1-0.90.4 protobuf-3.6.1
protorpc-0.11.1 pyasn1-0.4.4 pyasn1-modules-0.2.2 python-dateutil-2.7.3 python-gflags-3.0.6
python-snappy-0.5.3 pytz-2018.4 pyvcf-0.6.8 pyyaml-3.12 requests-2.20.0 rsa-4.0 scipy-1.1.0
setuptools-39.1.0 six-1.11.0 tensorboard-1.11.0 tensorflow-1.11.0 termcolor-1.1.0 typing-3.6.1
urllib3-1.24 werkzeug-0.14.1
Verified fast protobuf used.
 ---> 0cc705e6bc06
Removing intermediate container 626133ef0231
Step 6/9 : COPY target/apache-beam.tar.gz /opt/apache/beam/tars/
 ---> a40de28f42fc
Removing intermediate container c181fd9cc67d
Step 7/9 : RUN pip install /opt/apache/beam/tars/apache-beam.tar.gz[gcp] &&     rm
-rf /root/.cache/pip
 ---> Running in 549dedeb253b
Processing /opt/apache/beam/tars/apache-beam.tar.gz
Requirement already satisfied: crcmod<2.0,>=1.7 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (1.7)
Requirement already satisfied: dill<=0.2.8.2,>=0.2.6 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (0.2.8.2)
Requirement already satisfied: fastavro<0.22,>=0.21.4 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (0.21.4)
Requirement already satisfied: grpcio<2,>=1.8 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (1.15.0)
Requirement already satisfied: hdfs<3.0.0,>=2.1.0 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (2.1.0)
Requirement already satisfied: httplib2<=0.11.3,>=0.8 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (0.9.2)
Requirement already satisfied: mock<3.0.0,>=1.0.1 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (2.0.0)
Requirement already satisfied: oauth2client<5,>=2.0.1 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (3.0.0)
Requirement already satisfied: protobuf<4,>=3.5.0.post1 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (3.6.1)
Collecting pydot<1.3,>=1.2.0 (from apache-beam==2.9.0.dev0)
  Downloading https://files.pythonhosted.org/packages/c3/f1/e61d6dfe6c1768ed2529761a68f70939e2569da043e9f15a8d84bf56cadf/pydot-1.2.4.tar.gz
(132kB)
Requirement already satisfied: pytz<=2018.4,>=2018.3 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (2018.4)
Requirement already satisfied: pyyaml<4.0.0,>=3.12 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (3.12)
Requirement already satisfied: pyvcf<0.7.0,>=0.6.8 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (0.6.8)
Requirement already satisfied: futures<4.0.0,>=3.1.1 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (3.1.1)
Requirement already satisfied: future<1.0.0,>=0.16.0 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (0.16.0)
Requirement already satisfied: avro<2.0.0,>=1.8.1 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (1.8.2)
Requirement already satisfied: typing<3.7.0,>=3.6.0 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (3.6.1)
Requirement already satisfied: google-apitools<=0.5.20,>=0.5.18 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (0.5.20)
Requirement already satisfied: proto-google-cloud-datastore-v1<=0.90.4,>=0.90.0 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (0.90.4)
Requirement already satisfied: google-cloud-pubsub==0.35.4 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (0.35.4)
Requirement already satisfied: google-cloud-bigquery==0.25.0 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (0.25.0)
Requirement already satisfied: googledatastore==7.0.1 in /usr/local/lib/python2.7/site-packages
(from apache-beam==2.9.0.dev0) (7.0.1)
Requirement already satisfied: six>=1.5.2 in /usr/local/lib/python2.7/site-packages (from
grpcio<2,>=1.8->apache-beam==2.9.0.dev0) (1.11.0)
Requirement already satisfied: enum34>=1.0.4 in /usr/local/lib/python2.7/site-packages
(from grpcio<2,>=1.8->apache-beam==2.9.0.dev0) (1.1.6)
Requirement already satisfied: requests>=2.7.0 in /usr/local/lib/python2.7/site-packages
(from hdfs<3.0.0,>=2.1.0->apache-beam==2.9.0.dev0) (2.20.0)
Requirement already satisfied: docopt in /usr/local/lib/python2.7/site-packages (from hdfs<3.0.0,>=2.1.0->apache-beam==2.9.0.dev0)
(0.6.2)
Requirement already satisfied: funcsigs>=1; python_version < "3.3" in /usr/local/lib/python2.7/site-packages
(from mock<3.0.0,>=1.0.1->apache-beam==2.9.0.dev0) (1.0.2)
Requirement already satisfied: pbr>=0.11 in /usr/local/lib/python2.7/site-packages (from
mock<3.0.0,>=1.0.1->apache-beam==2.9.0.dev0) (5.0.0)
Requirement already satisfied: pyasn1>=0.1.7 in /usr/local/lib/python2.7/site-packages
(from oauth2client<5,>=2.0.1->apache-beam==2.9.0.dev0) (0.4.4)
Requirement already satisfied: pyasn1-modules>=0.0.5 in /usr/local/lib/python2.7/site-packages
(from oauth2client<5,>=2.0.1->apache-beam==2.9.0.dev0) (0.2.2)
Requirement already satisfied: rsa>=3.1.4 in /usr/local/lib/python2.7/site-packages (from
oauth2client<5,>=2.0.1->apache-beam==2.9.0.dev0) (4.0)
Requirement already satisfied: setuptools in /usr/local/lib/python2.7/site-packages (from
protobuf<4,>=3.5.0.post1->apache-beam==2.9.0.dev0) (39.1.0)
Collecting pyparsing>=2.1.4 (from pydot<1.3,>=1.2.0->apache-beam==2.9.0.dev0)
  Downloading https://files.pythonhosted.org/packages/2b/4a/f06b45ab9690d4c37641ec776f7ad691974f4cf6943a73267475b05cbfca/pyparsing-2.2.2-py2.py3-none-any.whl
(57kB)
Requirement already satisfied: fasteners>=0.14 in /usr/local/lib/python2.7/site-packages
(from google-apitools<=0.5.20,>=0.5.18->apache-beam==2.9.0.dev0) (0.14.1)
Requirement already satisfied: googleapis-common-protos<2.0dev,>=1.5.2 in /usr/local/lib/python2.7/site-packages
(from proto-google-cloud-datastore-v1<=0.90.4,>=0.90.0->apache-beam==2.9.0.dev0)
(1.5.3)
Requirement already satisfied: grpc-google-iam-v1<0.12dev,>=0.11.1 in /usr/local/lib/python2.7/site-packages
(from google-cloud-pubsub==0.35.4->apache-beam==2.9.0.dev0) (0.11.4)
Requirement already satisfied: google-api-core[grpc]<2.0.0dev,>=0.1.3 in /usr/local/lib/python2.7/site-packages
(from google-cloud-pubsub==0.35.4->apache-beam==2.9.0.dev0) (1.5.0)
Requirement already satisfied: google-cloud-core<0.26dev,>=0.25.0 in /usr/local/lib/python2.7/site-packages
(from google-cloud-bigquery==0.25.0->apache-beam==2.9.0.dev0) (0.25.0)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /usr/local/lib/python2.7/site-packages
(from requests>=2.7.0->hdfs<3.0.0,>=2.1.0->apache-beam==2.9.0.dev0) (3.0.4)
Requirement already satisfied: certifi>=2017.4.17 in /usr/local/lib/python2.7/site-packages
(from requests>=2.7.0->hdfs<3.0.0,>=2.1.0->apache-beam==2.9.0.dev0) (2018.10.15)
Requirement already satisfied: urllib3<1.25,>=1.21.1 in /usr/local/lib/python2.7/site-packages
(from requests>=2.7.0->hdfs<3.0.0,>=2.1.0->apache-beam==2.9.0.dev0) (1.24)
Requirement already satisfied: idna<2.8,>=2.5 in /usr/local/lib/python2.7/site-packages
(from requests>=2.7.0->hdfs<3.0.0,>=2.1.0->apache-beam==2.9.0.dev0) (2.7)
Requirement already satisfied: monotonic>=0.1 in /usr/local/lib/python2.7/site-packages
(from fasteners>=0.14->google-apitools<=0.5.20,>=0.5.18->apache-beam==2.9.0.dev0)
(1.5)
Requirement already satisfied: google-auth<2.0.0dev,>=0.4.0 in /usr/local/lib/python2.7/site-packages
(from google-api-core[grpc]<2.0.0dev,>=0.1.3->google-cloud-pubsub==0.35.4->apache-beam==2.9.0.dev0)
(1.5.1)
Requirement already satisfied: google-auth-httplib2 in /usr/local/lib/python2.7/site-packages
(from google-cloud-core<0.26dev,>=0.25.0->google-cloud-bigquery==0.25.0->apache-beam==2.9.0.dev0)
(0.0.3)
Requirement already satisfied: cachetools>=2.0.0 in /usr/local/lib/python2.7/site-packages
(from google-auth<2.0.0dev,>=0.4.0->google-api-core[grpc]<2.0.0dev,>=0.1.3->google-cloud-pubsub==0.35.4->apache-beam==2.9.0.dev0)
(2.1.0)
Building wheels for collected packages: apache-beam, pydot
  Running setup.py bdist_wheel for apache-beam: started
  Running setup.py bdist_wheel for apache-beam: still running...
  Running setup.py bdist_wheel for apache-beam: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/4b/7d/dd/a19128d4b755625dce0a4a284246bffb9f82e49379d8e9d5f5
  Running setup.py bdist_wheel for pydot: started
  Running setup.py bdist_wheel for pydot: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/6a/a5/14/25541ebcdeaf97a37b6d05c7ff15f5bd20f5e91b99d313e5b4
Successfully built apache-beam pydot
Installing collected packages: pyparsing, pydot, apache-beam
Successfully installed apache-beam-2.9.0.dev0 pydot-1.2.4 pyparsing-2.2.2
 ---> 4a8b4cfed551
Removing intermediate container 549dedeb253b
Step 8/9 : ADD target/launcher/linux_amd64/boot /opt/apache/beam/
 ---> 04cdac6f2489
Removing intermediate container 7cf1f9274666
Step 9/9 : ENTRYPOINT /opt/apache/beam/boot
 ---> Running in fbe82709b03a
 ---> 10c912f8737c
Removing intermediate container fbe82709b03a
Successfully built 10c912f8737c
Successfully tagged jenkins-docker-apache.bintray.io/beam/python:latest
:beam-sdks-python-container:docker (Thread[Task worker for ':' Thread 9,5,main]) completed.
Took 3 mins 41.834 secs.

FAILURE: Build failed with an exception.

* Where:
Build file '<https://builds.apache.org/job/beam_PostCommit_Python_VR_Flink/ws/src/sdks/python/build.gradle'>
line: 419

* What went wrong:
Execution failed for task ':beam-sdks-python:createProcessWorker'.
> Process 'command 'sh'' finished with non-zero exit value 1

* Try:
Run with --stacktrace option to get the stack trace. Run with --debug option to get more log
output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 5.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/4.10.2/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 7m 7s
59 actionable tasks: 54 executed, 4 from cache, 1 up-to-date

Publishing build scan...
https://gradle.com/s/adhqanwpamb2s

Build step 'Invoke Gradle script' changed build result to FAILURE
Build step 'Invoke Gradle script' marked build as failure

Mime
View raw message